TEMP=/tmp
if [ x"$OS" = x"Windows_NT" ]; then
	TEMP=$DBDIR/tmp
fi

echo "Creating query 'Alert On LAN Settings' in $QUERY_LIB..." 
echo "Creating query 'Alert On LAN Settings' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Alert On LAN Settings" -r inventory -v UMA_VAlert_On_Lhhr \
   -c TME_OBJECT_LABEL \
   -c Retransmission_Int \
   -c Polling_Interval \
   -c Heartbeat_Interval \
   -c HWARE_VER \
   -c Alert_Destination \
   -c Auto_Clear_Events \
   -c Heartbeat_Enabled \
   -c HWARE_Enabled \
   -c Watchdog_Interval \
   -c Watchdog_Enabled \
"$QUERY_LIB" "Alert On LAN Settings" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Alert On LAN Settings' query already exists."
fi

echo "Creating query 'AssetID' in $QUERY_LIB..." 
echo "Creating query 'AssetID' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "AssetID" -r inventory -v UMA_VAssetID \
   -c TME_OBJECT_LABEL \
   -c SYS_Name \
   -c SYS_Model \
   -c Product_Name \
   -c LCCM_Image_PRFL \
   -c LCCM_Image_Date \
   -c SYS_SER_Numb \
   -c SYS_GUID \
   -c SYS_Asset_Numbe \
   -c AssetID_Tag \
   -c Last_Inventoried \
   -c Purchase_Date \
"$QUERY_LIB" "AssetID" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'AssetID' query already exists."
fi

echo "Creating query 'BIOS Details' in $QUERY_LIB..." 
echo "Creating query 'BIOS Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "BIOS Details" -r inventory -v UMA_VBIOS_Details \
   -c TME_OBJECT_LABEL \
   -c BIOS_Manufacturer \
   -c BIOS_VER \
   -c BIOS_Release_Date \
   -c SUPP_SMBIOS \
   -c SMBIOS_Major_Versi \
   -c SMBIOS_Minor_Versi \
"$QUERY_LIB" "BIOS Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'BIOS Details' query already exists."
fi

echo "Creating query 'Cache' in $QUERY_LIB..." 
echo "Creating query 'Cache' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Cache" -r inventory -v UMA_VCache \
   -c TME_OBJECT_LABEL \
   -c level \
   -c SYS_Cache_Size \
   -c SYS_Cache_Write \
   -c Socket_Designation \
   -c Cache_Location \
"$QUERY_LIB" "Cache" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Cache' query already exists."
fi

echo "Creating query 'System Enclosure' in $QUERY_LIB..." 
echo "Creating query 'System Enclosure' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "System Enclosure" -r inventory -v UMA_VSYS_Encyoe \
   -c TME_OBJECT_LABEL \
   -c Manufacturer \
   -c Type \
   -c Cabinet_Lock_Prese \
"$QUERY_LIB" "System Enclosure" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'System Enclosure' query already exists."
fi

echo "Creating query 'CIM' in $QUERY_LIB..." 
echo "Creating query 'CIM' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "CIM" -r inventory -v UMA_VCIM \
   -c TME_OBJECT_LABEL \
   -c CIM_VER \
"$QUERY_LIB" "CIM" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'CIM' query already exists."
fi

echo "Creating query 'System Board Configuration' in $QUERY_LIB..." 
echo "Creating query 'System Board Configuration' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "System Board Configuration" -r inventory -v UMA_VSYS_Boac1d \
   -c TME_OBJECT_LABEL \
   -c String \
"$QUERY_LIB" "System Board Configuration" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'System Board Configuration' query already exists."
fi

echo "Creating query 'IP Network Configuration' in $QUERY_LIB..." 
echo "Creating query 'IP Network Configuration' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "IP Network Configuration" -r inventory -v UMA_VIP_NET \
   -c TME_OBJECT_LABEL \
   -c IP_ADDR \
   -c IP_Subnet_Mask \
   -c IP_Gateway \
   -c DNS_Servers \
   -c DHCP_Enabled \
   -c DNS_Hostname \
   -c DNS_Domain \
"$QUERY_LIB" "IP Network Configuration" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'IP Network Configuration' query already exists."
fi

echo "Creating query 'IPX Network Configuration' in $QUERY_LIB..." 
echo "Creating query 'IPX Network Configuration' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "IPX Network Configuration" -r inventory -v UMA_VIPX_Networc1c \
   -c TME_OBJECT_LABEL \
   -c IPX_Enabled \
   -c IPX_Frame_Type \
   -c IPX_ADDR \
"$QUERY_LIB" "IPX Network Configuration" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'IPX Network Configuration' query already exists."
fi

echo "Creating query 'Lease Information' in $QUERY_LIB..." 
echo "Creating query 'Lease Information' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Lease Information" -r inventory -v UMA_VLease_Infoujc \
   -c TME_OBJECT_LABEL \
   -c Lessor \
   -c Lease_ST_Date \
   -c Lease_End_Date \
   -c Lease_Term_months \
   -c Lease_Amount \
"$QUERY_LIB" "Lease Information" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Lease Information' query already exists."
fi

echo "Creating query 'Geographic Information' in $QUERY_LIB..." 
echo "Creating query 'Geographic Information' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Geographic Information" -r inventory -v UMA_VGeographicuj7 \
   -c TME_OBJECT_LABEL \
   -c Locale \
   -c Country_Code \
   -c OS_LANG \
   -c Code_Set \
"$QUERY_LIB" "Geographic Information" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Geographic Information' query already exists."
fi

echo "Creating query 'Memory Details' in $QUERY_LIB..." 
echo "Creating query 'Memory Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Memory Details" -r inventory -v UMA_VMEM_Detf0m \
   -c TME_OBJECT_LABEL \
   -c DEV_Locator \
   -c siz \
   -c Form_Factor \
   -c Type \
   -c Speed \
   -c Data_Width \
   -c Total_Width \
"$QUERY_LIB" "Memory Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Memory Details' query already exists."
fi

echo "Creating query 'Network Details' in $QUERY_LIB..." 
echo "Creating query 'Network Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Network Details" -r inventory -v UMA_VNET_Def0l \
   -c TME_OBJECT_LABEL \
   -c NET_Adapter \
   -c NET_DRV \
   -c MAC_ADDR \
"$QUERY_LIB" "Network Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Network Details' query already exists."
fi

echo "Creating query 'Personalized Data' in $QUERY_LIB..." 
echo "Creating query 'Personalized Data' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Personalized Data" -r inventory -v UMA_VPersonalizsq3 \
   -c TME_OBJECT_LABEL \
   -c Label1 \
   -c Data1 \
   -c Label2 \
   -c Data2 \
   -c Label3 \
   -c Data3 \
   -c Label4 \
   -c Data4 \
   -c Label5 \
   -c Data5 \
"$QUERY_LIB" "Personalized Data" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Personalized Data' query already exists."
fi

echo "Creating query 'Port Connectors' in $QUERY_LIB..." 
echo "Creating query 'Port Connectors' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Port Connectors" -r inventory -v UMA_VPort_Conneoit \
   -c TME_OBJECT_LABEL \
   -c Logical_Name \
   -c Internal_Ports \
   -c Connector_Type \
   -c Port_Type \
   -c Tag \
"$QUERY_LIB" "Port Connectors" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Port Connectors' query already exists."
fi

echo "Creating query 'Processor Details' in $QUERY_LIB..." 
echo "Creating query 'Processor Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Processor Details" -r inventory -v UMA_VProcessor_f0j \
   -c TME_OBJECT_LABEL \
   -c Processor \
   -c Family \
   -c Clock_Speed \
   -c External_Clock_Spe \
   -c Max_Clock_Speed \
   -c Manufacturer \
   -c Processor_ID \
   -c Processor_Type \
"$QUERY_LIB" "Processor Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Processor Details' query already exists."
fi

echo "Creating query 'Serial Number Information' in $QUERY_LIB..." 
echo "Creating query 'Serial Number Information' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Serial Number Information" -r inventory -v UMA_VSER_Numuj4 \
   -c TME_OBJECT_LABEL \
   -c Asset \
   -c SER_NUM \
   -c Manufacturer \
   -c Model \
   -c Type \
"$QUERY_LIB" "Serial Number Information" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Serial Number Information' query already exists."
fi

echo "Creating query 'System Slots' in $QUERY_LIB..." 
echo "Creating query 'System Slots' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "System Slots" -r inventory -v UMA_VSYS_Slots \
   -c TME_OBJECT_LABEL \
   -c Slot_Type \
   -c Slot_Data_Bus_Widt \
   -c SUPP_Hot_Plug \
   -c Current_Usage \
   -c SlotDesignation \
   -c Shared_Slot_Openin \
   -c SUPP_PME_Signa \
   -c Tag \
"$QUERY_LIB" "System Slots" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'System Slots' query already exists."
fi

echo "Creating query 'SNMP Agent Configuration' in $QUERY_LIB..." 
echo "Creating query 'SNMP Agent Configuration' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "SNMP Agent Configuration" -r inventory -v UMA_VSNMP_Agentc1b \
   -c TME_OBJECT_LABEL \
   -c SNMP_Traps_Enabled \
   -c Trap_Destinations \
"$QUERY_LIB" "SNMP Agent Configuration" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'SNMP Agent Configuration' query already exists."
fi

echo "Creating query 'IBM Director Agent' in $QUERY_LIB..." 
echo "Creating query 'IBM Director Agent' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "IBM Director Agent" -r inventory -v UMA_VIBM_UM_Seroqd \
   -c TME_OBJECT_LABEL \
   -c Name \
   -c VER \
   -c Build_NUM \
   -c HTTPD_Port \
   -c SNMP_Traps_Enabled \
   -c Trap_Destinations \
"$QUERY_LIB" "IBM Director Agent" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'IBM Director Agent' query already exists."
fi

echo "Creating query 'User Details' in $QUERY_LIB..." 
echo "Creating query 'User Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "User Details" -r inventory -v UMA_VUser_Details \
   -c TME_OBJECT_LABEL \
   -c User_Name \
   -c User_Phone \
   -c User_Department \
   -c User_Position \
   -c SYS_Location \
"$QUERY_LIB" "User Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'User Details' query already exists."
fi

echo "Creating query 'Video Details' in $QUERY_LIB..." 
echo "Creating query 'Video Details' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Video Details" -r inventory -v UMA_VVID_Details \
   -c TME_OBJECT_LABEL \
   -c Manufacturer \
   -c DESCRIP \
   -c Current_Vertical_R \
   -c Current_Horizontal \
   -c Current_NUM_of \
   -c VID_RAM_MEM_S \
   -c DRV_Filename \
   -c Current_Refresh_Ra \
   -c Color_Depth \
"$QUERY_LIB" "Video Details" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Video Details' query already exists."
fi

echo "Creating query 'Warranty Information' in $QUERY_LIB..." 
echo "Creating query 'Warranty Information' in $QUERY_LIB..." >> $DBDIR/tmp/umsinstall.log 
wcrtquery -d "Warranty Information" -r inventory -v UMA_VWarranty_Iuj9 \
   -c TME_OBJECT_LABEL \
   -c Warranty_Duration \
   -c Warranty_End_Date \
   -c Warranty_Cost \
"$QUERY_LIB" "Warranty Information" 2>> $DBDIR/tmp/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Warranty Information' query already exists."
fi

echo "Creating query Installed Director Agent in $QUERY_LIB..." 
echo "Creating query Installed Director Agent in $QUERY_LIB..." >> $TEMP/umsinstall.log
wcrtquery -d "Installed Director Agent INV3.6.x" -r inventory -v UMS_VINST_UMS \
   -c TME_OBJECT_ID \
   -c TME_OBJECT_LABEL \
   -c INST_FILE_NAME \
   -c INST_FILE_SIZE \
   -c INST_FILE_PATH \
   -c INST_FILE_DATE \
   -c INST_FILE_TIME \
	-w "order by TME_OBJECT_LABEL" \
"$QUERY_LIB" "Installed Director Agent INV3.6.x" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "Installed Director Agent query already exists."
fi

echo "Creating query Installed Director Agent in $QUERY_LIB..." 
echo "Creating query Installed Director Agent in $QUERY_LIB..." >> $TEMP/umsinstall.log
wcrtquery -d "Installed Director Agent INV4.0" -r inventory -v UMS_VINST_UMS \
   -c TME_OBJECT_ID \
   -c TME_OBJECT_LABEL \
   -c FILE_NAME \
   -c FILE_SIZE \
   -c PATH \
   -c MODIFIED_TIME \
	-w "order by TME_OBJECT_LABEL" \
"$QUERY_LIB" "Installed Director Agent INV4.0" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "Installed Director Agent query already exists."
fi

echo "Creating query 'DMI' in $QUERY_LIB..." 
echo "Creating query 'DMI' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "DMI" -r inventory -v UMA_VDMI \
   -c TME_OBJECT_LABEL \
   -c Ver \
   -c Product \
   -c Win32_DMI_Director \
"$QUERY_LIB" "DMI" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'DMI' query already exists."
fi

echo "Creating query 'FRU Service Numbers' in $QUERY_LIB..." 
echo "Creating query 'FRU Service Numbers' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "FRU Service Numbers" -r inventory -v UMA_VFRU_Serviccnz \
   -c TME_OBJECT_LABEL \
   -c Name \
   -c FRUNum \
   -c IdentifyingNum \
   -c Vendor \
   -c RevisionLevel \
   -c DESCRIP \
"$QUERY_LIB" "FRU Service Numbers" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'FRU Service Numbers' query already exists."
fi

echo "Creating query 'Firmware' in $QUERY_LIB..." 
echo "Creating query 'Firmware' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "Firmware" -r inventory -v UMA_VFirmware \
   -c TME_OBJECT_LABEL \
   -c Name \
   -c Manufacturer \
   -c DESCRIP \
   -c VER \
   -c BuildNum \
"$QUERY_LIB" "Firmware" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Firmware' query already exists."
fi


echo "Creating query 'ServeRAID Controllers' in $QUERY_LIB..." 
echo "Creating query 'ServeRAID Controllers' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "ServeRAID Controllers" -r inventory -v UMA_VServeRAID_nj3 \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c Model \
   -c Manufacturer \
   -c Slot \
   -c BIOS_VER \
   -c Firmware_VER \
   -c DRV_VER \
   -c Stripe_Size \
   -c Initiator_IDs \
   -c Clustering \
   -c Cache_Battery_Stat \
"$QUERY_LIB" "ServeRAID Controllers" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'ServeRAID Controllers' query already exists."
fi



echo "Creating query 'ServeRAID Disk Drives' in $QUERY_LIB..." 
echo "Creating query 'ServeRAID Disk Drives' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "ServeRAID Disk Drives" -r inventory -v UMA_VServeRAID_9sh \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c ChannelID \
   -c CNTRL \
   -c Firmware \
   -c Capacity \
   -c Manufacturer \
   -c Model \
   -c FRU \
   -c SER_NUM \
"$QUERY_LIB" "ServeRAID Disk Drives" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'ServeRAID Disk Drives' query already exists."
fi



echo "Creating query 'ServeRAID Enclosures' in $QUERY_LIB..." 
echo "Creating query 'ServeRAID Enclosures' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "ServeRAID Enclosures" -r inventory -v UMA_VServeRAID_14g \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c ChannelID \
   -c CNTRL \
   -c FirmwareLevel \
   -c Manufacturer \
   -c Model \
   -c SER_NUM \
"$QUERY_LIB" "ServeRAID Enclosures" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'ServeRAID Enclosures' query already exists."
fi



echo "Creating query 'ServeRAID Logical Drives' in $QUERY_LIB..." 
echo "Creating query 'ServeRAID Logical Drives' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "ServeRAID Logical Drives" -r inventory -v UMA_VServeRAID_rx0 \
   -c TME_OBJECT_LABEL \
   -c LOG_DRV \
   -c CNTRL \
   -c ArrayID \
   -c RAID_Level \
   -c Data_Space \
   -c Install_Date \
"$QUERY_LIB" "ServeRAID Logical Drives" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'ServeRAID Logical Drives' query already exists."
fi


echo "Creating query 'RAID Controllers' in $QUERY_LIB..." 
echo "Creating query 'RAID Controllers' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "RAID Controllers" -r inventory -v UMA_VRAID_Contrnj8 \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c Model \
   -c Manufacturer \
   -c Slot \
   -c BIOSVersion \
   -c FirmwareVersion \
   -c DRV \
   -c StripeSize \
   -c InitiatorIDs \
   -c Clustering \
   -c CacheBatteryStatus \
"$QUERY_LIB" "RAID Controllers" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'RAID Controllers' query already exists."
fi



echo "Creating query 'RAID Disk Drives' in $QUERY_LIB..." 
echo "Creating query 'RAID Disk Drives' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "RAID Disk Drives" -r inventory -v UMA_VRAID_Disk_9sc \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c ChannelID \
   -c CNTRL \
   -c Firmware \
   -c Capacity \
   -c Manufacturer \
   -c Model \
   -c FRU \
   -c SER_NUM \
"$QUERY_LIB" "RAID Disk Drives" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'RAID Disk Drives' query already exists."
fi



echo "Creating query 'RAID Enclosures' in $QUERY_LIB..." 
echo "Creating query 'RAID Enclosures' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "RAID Enclosures" -r inventory -v UMA_VRAID_Enclo14l \
   -c TME_OBJECT_LABEL \
   -c DEV \
   -c ChannelID \
   -c CNTRL \
   -c FirmwareLevel \
   -c Manufacturer \
   -c Model \
   -c SER_NUM \
"$QUERY_LIB" "RAID Enclosures" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'RAID Enclosures' query already exists."
fi



echo "Creating query 'RAID Logical Drives' in $QUERY_LIB..." 
echo "Creating query 'RAID Logical Drives' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "RAID Logical Drives" -r inventory -v UMA_VRAID_Logicrwv \
   -c TME_OBJECT_LABEL \
   -c LOG_DRV \
   -c CNTRL \
   -c ArrayID \
   -c RAID_Level \
   -c Data_Space \
   -c Install_Date \
"$QUERY_LIB" "RAID Logical Drives" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'RAID Logical Drives' query already exists."
fi

echo "Creating query 'Alert Standard Format Settings' in $QUERY_LIB..." 
echo "Creating query 'Alert Standard Format Settings' in $QUERY_LIB..." >> $TEMP/umsinstall.log 
wcrtquery -d "Alert Standard Format Settings" -r inventory -v UMA_VAlert_Stanhhi \
   -c TME_OBJECT_LABEL \
   -c AlertDestinationAd \
   -c MessageFormat \
   -c RetryCount \
   -c RetryInterval \
   -c ASFEnabled \
   -c PETsEnabled \
   -c HeartBeatsEnabled \
   -c RMCPEnabled \
   -c ASFWoLEnabled \
   -c FirmwareVersion \
   -c HeartbeatInterval \
   -c ASFSourceIP \
   -c MinPollingInterval \
   -c MinWatchdogResetVa \
"$QUERY_LIB" "Alert Standard Format Settings" 2>> $TEMP/umsinstall.log
ERR=$?
if [ $ERR -ne 0 ] ; then
   echo "'Alert Standard Format Settings' query already exists."
fi


